paso::FCT_FluxLimiter Struct Reference

`#include <FluxLimiter.h>`

## Public Member Functions

| FCT_FluxLimiter (const_TransportProblem_ptr tp)
| ~FCT_FluxLimiter ()
dim_t | getTotalNumRows () const
SystemMatrixPattern_ptr | getFluxPattern () const
void | setU_tilde (const double *Mu_tilde)
void | addLimitedFluxes_Start ()
void | addLimitedFluxes_Complete (double *b)

## Public Attributes

SystemMatrix_ptr | antidiffusive_fluxes
escript::JMPI | mpi_info
double | dt
double * | u_tilde
double * | MQ
double * | R
Coupler_ptr< real_t > | R_coupler
Coupler_ptr< real_t > | u_tilde_coupler
double * | borrowed_lumped_mass_matrix

## Constructor & Destructor Documentation

## FCT_FluxLimiter()

paso::FCT_FluxLimiter::FCT_FluxLimiter | ( | const_TransportProblem_ptr | tp | ) |

## ~FCT_FluxLimiter()

paso::FCT_FluxLimiter::~FCT_FluxLimiter | ( |  | ) |

References borrowed_lumped_mass_matrix, and u_tilde.

## Member Function Documentation

## addLimitedFluxes_Complete()

void paso::FCT_FluxLimiter::addLimitedFluxes_Complete | ( | double * | b | ) |

References R.

Referenced by paso::FCT_Solver::updateLCN(), and paso::FCT_Solver::updateNL().

## addLimitedFluxes_Start()

void paso::FCT_FluxLimiter::addLimitedFluxes_Start | ( |  | ) |

References u_tilde.

Referenced by paso::FCT_Solver::updateLCN(), and paso::FCT_Solver::updateNL().

## getFluxPattern()

SystemMatrixPattern_ptr paso::FCT_FluxLimiter::getFluxPattern | ( |  | ) | const

inline

## getTotalNumRows()

dim_t paso::FCT_FluxLimiter::getTotalNumRows | ( |  | ) | const

inline

## setU_tilde()

void paso::FCT_FluxLimiter::setU_tilde | ( | const double * | Mu_tilde | ) |

Referenced by paso::FCT_Solver::updateLCN(), and paso::FCT_Solver::updateNL().

## Member Data Documentation

## antidiffusive_fluxes

SystemMatrix_ptr paso::FCT_FluxLimiter::antidiffusive_fluxes

Referenced by paso::FCT_Solver::updateLCN(), and paso::FCT_Solver::updateNL().

## borrowed_lumped_mass_matrix

double* paso::FCT_FluxLimiter::borrowed_lumped_mass_matrix

Referenced by ~FCT_FluxLimiter().

## dt

double paso::FCT_FluxLimiter::dt

## mpi_info

escript::JMPI paso::FCT_FluxLimiter::mpi_info

Referenced by paso::FCT_Solver::updateLCN(), and paso::FCT_Solver::updateNL().

## MQ

double* paso::FCT_FluxLimiter::MQ

## R

double* paso::FCT_FluxLimiter::R

Referenced by addLimitedFluxes_Complete().

## R_coupler

Coupler_ptr<real_t> paso::FCT_FluxLimiter::R_coupler

## u_tilde

double* paso::FCT_FluxLimiter::u_tilde

Referenced by addLimitedFluxes_Start(), paso::FCT_Solver::updateLCN(), paso::FCT_Solver::updateNL(), and ~FCT_FluxLimiter().

## u_tilde_coupler

Coupler_ptr<real_t> paso::FCT_FluxLimiter::u_tilde_coupler

Referenced by paso::FCT_Solver::setAntiDiffusionFlux_linearCN().

The documentation for this struct was generated from the following files:

- FluxLimiter.h
- FluxLimiter.cpp